Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException

    public class GroovyRuntimeException
    extends java.lang.RuntimeException

An exception thrown by the interpreter

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`GroovyRuntimeException()`
`GroovyRuntimeException(java.lang.String message)`
`GroovyRuntimeException(java.lang.String message, ASTNode node)`
`GroovyRuntimeException(java.lang.String message, java.lang.Throwable cause)`
`GroovyRuntimeException(java.lang.Throwable t)`

Method Summary
`protected java.lang.String` | `getLocationText()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessageWithoutLocationText()`
`ModuleNode` | `getModule()`
`ASTNode` | `getNode()`
`void` | `setModule(ModuleNode module)`

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### GroovyRuntimeException

    public GroovyRuntimeException()

### GroovyRuntimeException

    public GroovyRuntimeException(java.lang.String message)

### GroovyRuntimeException

    public GroovyRuntimeException(java.lang.String message, ASTNode node)

### GroovyRuntimeException

    public GroovyRuntimeException(java.lang.String message, java.lang.Throwable cause)

### GroovyRuntimeException

    public GroovyRuntimeException(java.lang.Throwable t)

Method Detail

### getLocationText

    protected java.lang.String getLocationText()

### getMessage

    public java.lang.String getMessage()

### getMessageWithoutLocationText

    public java.lang.String getMessageWithoutLocationText()

### getModule

    public ModuleNode getModule()

### getNode

    public ASTNode getNode()

### setModule

    public void setModule(ModuleNode module)

Groovy Documentation